API Reference
Auto-generated
Domains
API reference for domains endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/domains/census
GET
/api/v1/domains/censusList Domain Census
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| limit | integer | Optional | limitDefault: 2000 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/census \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}GET /api/v1/domains/census/report
GET
/api/v1/domains/census/reportGet Census Report
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/census/report \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"measured_domains": 0,
"measured_on": "example",
"vendor_share": {},
"by_rank_bucket": {},
"by_server_class": {},
"challenged_at_lowest_tier": 0
}GET /api/v1/domains/census/report.csv
GET
/api/v1/domains/census/report.csvGet Census Report Csv
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/census/report.csv \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}GET /api/v1/domains/public-stats
GET
/api/v1/domains/public-statsList Domain Public Stats
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| limit | integer | Optional | limitDefault: 500 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/public-stats \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"domains": [],
"total": 0
}GET /api/v1/domains/{domain}/census
GET
/api/v1/domains/{domain}/censusGet Domain Census
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| domain | string | Required | domain |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/<domain>/census \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"domain": "example",
"rank": 0,
"status_code": "example",
"vendor": "example",
"challenge_at_tier": true,
"tier": 0
}GET /api/v1/domains/{domain}/profile
GET
/api/v1/domains/{domain}/profileGet Domain Site Profile
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| domain | string | Required | domain |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/<domain>/profile \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"known": true,
"domain": "example",
"window_days": "example",
"window_start": "example",
"window_end": "example",
"sample_size": "example"
}GET /api/v1/domains/{domain}/public-stats
GET
/api/v1/domains/{domain}/public-statsGet Domain Public Stats
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| domain | string | Required | domain |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/domains/<domain>/public-stats \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"domain": "example",
"window_days": 0,
"window_start": "example",
"window_end": "example",
"sample_size": 0,
"success_rate": 0
}